<?php
// session_start(); 
declare(strict_types=0);
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
include_once('PdfToText.phpclass');
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

$ffile=$_POST['xfile']; 
$rpis_file='../'.$empr.'/rpis/';

$tipo=gettype($ffile);
{
     {
          $n_tempo=$_FILES['xfile']['tmp_name'];
          $n_original=$_FILES['xfile']['name'];
//           $n_destino=$rpis_file.$n_original;
//           move_uploaded_file($n_tempo, $n_destino);
          
	     if($_FILES['xfile']['type']=='text/xml' or 1==2)
          {
               $dom1 = new DOMDocument('1.0', 'utf-8');
               $xml1=file_get_contents($n_destino);

               
               $dom1->loadXML($xml1);
               $claveacc= $dom1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
               $atrzce= $dom1->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
               $atrzfe= $dom1->getElementsByTagName('fechaAutorizacion')->item(0)->nodeValue;
               $estado= $dom1->getElementsByTagName('estado')->item(0)->nodeValue;
               $atrzfe=date('Y-m-d H:i:s',strtotime($atrzfe));
               $claveacc=$atrzce;
               
//                $autorizaciones= $dom1->getElementsByTagName('autorizaciones')->item(0)->nodeValue;
//                if(!empty($autorizaciones)){$xml1=$autorizaciones;}
               
               
               
          }
          
          if($_FILES['xfile']['type']=='application/pdf')
          {
               $pdf = new PdfToText ( $n_tempo ) ;
               $file = $pdf -> Text ;
               
               // FECHA
               $xdato=$file;
               $xdato=substr($xdato,strpos($xdato,'Seguro de Salud:'),100);
               $xdato=substr($xdato,strpos($xdato,':')+2,19);
               $xdato=strtolower($xdato);
               {
               $xdato=str_replace('enero','-01-',$xdato);
               $xdato=str_replace('febrero','-02-',$xdato);
               $xdato=str_replace('marzo','-03-',$xdato);
               $xdato=str_replace('abril','-04-',$xdato);
               $xdato=str_replace('mayo','-05-',$xdato);
               $xdato=str_replace('junio','-06-',$xdato);
               $xdato=str_replace('julio','-07-',$xdato);
               $xdato=str_replace('agosto','-08-',$xdato);
               $xdato=str_replace('septiembre','-09-',$xdato);
               $xdato=str_replace('octubre','-10-',$xdato);
               $xdato=str_replace('noviembre','-11-',$xdato);
               $xdato=str_replace('diciembre','-12-',$xdato);
               }
               $dia=str_pad((int)$xdato,2,'0',STR_PAD_LEFT);
               $mes=substr($xdato,strpos($xdato,'-'),4);
               $anio=substr($xdato,strrpos($xdato,'-')+2,4);
               $fecha=$anio.$mes.$dia;
               
               // CEDULA
               $xdato=$file;
               $xdato=substr($xdato,strpos($xdato,'Identificación:'),100);
               $xdato=substr($xdato,strpos($xdato,':')+2,10);
               $cedula=$xdato;
               
               $n_destino=$rpis_file.'RPIS_'.$fecha.'_'.$cedula.'.pdf';
               move_uploaded_file($n_tempo, $n_destino);
               
          }
          
          
     }
     

     


}



return;


?>







